/******************************************************************************
* macro to test MyClassA                                                      *
******************************************************************************/
//
///////////////////////////
//
// in new root session(s):
//     > .L macroMyClassA.C
//     > Test()
//
// ACLiC: in new root session(s):
//     > gSystem->Load("libMyClassA.so")
//     > .L macroMyClassA.C+
//     > Test()
//
// ACLiC: alternative create other macro to start macroMyClassA:
//        void mymacro()
//        {
//           gSystem->Load("libMyClassA.so");
//           gROOT->ProcessLine(".L macroMyClassA.C+");
//        }
//
///////////////////////////

#ifndef __CINT__
#include "TFile.h"
#include "TSystem.h"

#include "MyClassA.h"
//#include "/my/path/MyClassA.h"
#endif

//______________________________________________________________________________
void Test()
{
#ifdef __CINT__
   gSystem->Load("libMyClassA.so");
#endif

   TFile *file = 0;
   file = new TFile("MyClassA.root", "RECREATE", "Test MyClassA");

   MyClassA *classA = new MyClassA();

   classA->Test("MyTest");
   classA->Write("", TObject::kWriteDelete);
   
//   file->Flush();

   delete classA;
   delete file;
}//Test
